using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.ProductTagCQ.EventHandlers;

public class UpdateProductTagEventHandler : INotificationHandler<UpdateProductTagEvent>
{
    private readonly ILogger<UpdateProductTagEventHandler> _logger;

    public UpdateProductTagEventHandler(ILogger<UpdateProductTagEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(UpdateProductTagEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}

